Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.javascript
Interface ContextAction

    public interface ContextAction

Interface to represent arbitrary action that requires to have Context object associated with the current thread for its execution.

Method Summary
`java.lang.Object` | `run(Context cx)` Execute action using the supplied Context instance.

Method Detail

### run

    java.lang.Object run(Context cx)

  Execute action using the supplied Context instance. When Rhino runtime calls the method, `cx` will be associated with the current thread as active context.

  See Also:
    `ContextFactory.call(ContextAction)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD